Passer au contenu principal

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

L’endpoint de recherche d’actualités permet aux développeurs d’obtenir les actualités et les titres de dernière minute sur X. Cet endpoint prend en charge les authentifications app-auth et user-auth avec OAuth1 et OAuth2 PKCE.

Premiers pas

Pour utiliser l’endpoint, vous avez besoin d’un jeton Bearer à partir de la Console de développement. Une fois que vous disposez du jeton Bearer, vous pouvez appeler l’API d’actualités comme indiqué ci-dessous :
curl 'https://api.x.com/2/news/1989418137272422538?news.fields=contexts,cluster_posts_results' --header 'Authorization: Bearer XXXXX'
Si la requête aboutit, vous devriez voir la réponse JSON suivante :
{
  "data":{
    "category":"News",
    "name":"Nebius Group Stock Plunges 30% Despite Q3 Revenue Surge and Meta Deal",
    "summary":"Nebius Group announced third-quarter revenue of $214 million, a fourfold increase year-over-year, alongside a $3 billion five-year GPU cloud services contract with Meta Platforms on November 11, 2025. Despite these positives, shares fell over 30% to $83.58 by November 14, driven by AI sector cooling and a $119.6 million net loss. Analysts hold a strong Buy rating with an average price target of $139.67, while X users see the dip as a buying opportunity.",
    "hook":"Nebius Group's shares cratered 30% after blockbuster Q3 earnings and a $3 billion Meta deal—yet analysts and investors are calling it a golden buying chance amid AI hype.",
    "contexts":{
      "sports":{
        "teams":[]
      },
      "entities":{
        "events":[],
        "organizations":[
          "Goldman Sachs",
          "Nebius Group N.V."
        ],
        "people":[],
        "places":[],
        "products":[]
      },
      "topics":[
        "Stocks"
      ],
      "finance":{
        "tickers":[
          "NBIS"
        ]
      }
    },
    "cluster_posts_results":[
      {
        "post_id":"1989409257394245835"
      },
      {
        "post_id":"1989410019562197162"
      },
      {
        "post_id":"1989413132993999177"
      },
      {
        "post_id":"1989411147179610400"
      },
      {
        "post_id":"1989409829937656067"
      },
      {
        "post_id":"1989415596249985296"
      },
      {
        "post_id":"1989415537781477721"
      },
      {
        "post_id":"1989413002739691628"
      },
      {
        "post_id":"1989414454644363445"
      },
      {
        "post_id":"1989411489988710860"
      }
    ],
    "disclaimer":"This story is a summary of posts on X and may evolve over time. Grok can make mistakes, verify its outputs.",
    "last_updated_at_ms":"2025-11-17T16:21:41.000Z",
    "id":"1989418137272422538"
  }
}